Bug 657879

Summary: [PATCH] Install javadocs into unversioned dir
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: antAssignee: Permaine Cheung <pcheung>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: akurtako, java-sig-commits, mmatejov, pcheung, sochotni
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 1.8.1-9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-13 17:27:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Install javadocs into unversioned dir none

Description Ville Skyttä 2010-11-28 15:06:56 UTC
Created attachment 463334 [details]
Install javadocs into unversioned dir

http://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

Patch attached, let me know if you'd like me to push and build this for devel.

Comment 1 Stanislav Ochotnicky 2010-11-29 12:52:53 UTC
FYI, as discussed on fedora-devel this is going to change from symlink to directory and rpm will not like this (it will prevent upgrades).

It's hard to guess how much problems this might cause to casual user (probably close to 0) but it should be taken into account.

Comment 2 Alexander Kurtakov 2010-11-29 13:10:49 UTC
The patch is not changing symlink to directory but just installs to different directory.

Comment 3 Stanislav Ochotnicky 2010-11-29 13:14:55 UTC
Right. My eyes betrayed me once again :-)

Comment 4 Ville Skyttä 2010-11-29 18:50:38 UTC
Right, this is one of the low hanging fruits where the javadoc dir can just be changed.

Comment 5 Alexander Kurtakov 2010-12-13 12:59:51 UTC
Permaine, Ville,
Can some of you push the patch?

Comment 6 Ville Skyttä 2010-12-13 17:27:53 UTC
Done.